
QGIS Application - Bug report #18358

Documentation error for lang !=en

2018-03-06 06:39 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Richard Duivenvoorde

Category: Documentation and Help

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26248

Description

The documentation (Help) link goes to e.g. https://docs.qgis.org/3.0/it/docs/, whereas only https://docs.qgis.org/3.0/en/docs/ is available.

Either a redirect should be done or a link or copy to other languages until translations are available.

As a side note, the title in the above page is "Documentation for QGIS testing¶". Better change it to "Documentation for QGIS 3.0¶",

otherwise it is confusing for the user.

History

#1 - 2018-03-06 06:57 PM - matteo ghetta

I think the problem could be that there is not currently the 3.0 branch in the doc. Furthermore, before to branch we also have to add all the new PO files to

.tx/conf so to upload them in transifex.

#2 - 2018-03-06 07:42 PM - Richard Duivenvoorde

Fixed with some redirect magic.

/3.0 redirected to /testing

/3.0/it/ etc redirected to /testing/en/

#3 - 2018-03-06 07:42 PM - Richard Duivenvoorde

- Resolution set to fixed/implemented

- Status changed from Open to Closed

#4 - 2018-03-07 07:57 AM - Paolo Cavallini

That was fast! Thanks Richard.

Is it appropriate to leave the title as it is (tsting instead of 3.0)?
